/* CSS Reset */
/* because by default elements are being added margins and paddings by browser */
/* box-sizing: border-box; to accurately measure our elements that padding and border are not added on top of the element's width/ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: 'Open Sans', sans-serif;
}
#box1 {
    height: 150px;
    width: 150px;
    padding: 50px;
    border: 1px solid black;
    box-sizing: border-box;
    background-color: orange;
    margin-right: 30px;
    display: inline-block;
    vertical-align: top;
}
#box2 {
    height: 150px;
    width: 150px;
    border: 1px solid black;
    background-color: yellow;
    display: inline-block;
    vertical-align: top;
}
#section1 span {
    height: 150px;
    width: 150px;
    border: 1px solid black;
    display: inline-block;
}
/* rem: root element - is a measurement based the font-size of the root element HTML */
/* By default the font-size is 16px */
/* 2 * root element's font-size = 2rem */
/* em: is a measurement based on the font-size of the parent's div font-size is 10px */
#nestedDiv {
    height: 2em;
    width: 2em;
    border: 1px solid red;
    /* position: relative; allows to move or determine the position of our element relative to where it was originally in the HTML document */
    /* % as a measurement is based on the width/height of the parent element*/
    /* px is an exact measurement across all the devices */
    position: relative;
    left: 33%;
    right: 33%;
}
hr {
    margin: 30px 0;
}
/* --------------------------------------- */
/* --------------------------------------- */
/* Section2 */
/* navbar */
nav {
    /* 0.8rem = 80% of 16px the default font-size */
    padding: 0.8rem;
    margin-bottom: 2rem;
    border-bottom: 1px solid gray;
}
nav > ul {
    list-style: none;
}
nav .nav, nav .logo {
    margin: 0.5rem;
    display: inline;
}
/* Intro */
#intro {
    /* percentage is used to make page more responsive. So our padding on the left and right are now dependent on the width pf the parent element */
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;
    text-align: center;
}
#intro h2, #intro p {
    margin-bottom: 1rem;
}
#intro button {
    color: white;
    font-weight: bold;
    background-color: #c2195b;
    border-radius: 25px;
    font-size: 1rem;
    padding: 1rem;
}
/* Info */
#info {
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;
}
#info h2 {
    margin-bottom: 1rem;
    text-align: center;
}
#info h3 {
    margin-bottom: 1rem;
    text-align: center;
}
#info .card {
    /* display: inline-block; this property is use to display the element as an inline level, block container */
    display: inline-block;
    vertical-align: top;
    min-height: 175px;
    width: 30%;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    /* border: 1px solid gray; */
}
/* Pre-footer */
#preFooter {
    padding: 1rem;
    background-color: #002540;
    color: white;   
}
#preFooter > div {
    display: inline-block;
    width: 20%;
    vertical-align: top;
}
#preFooter > div > * {
    margin-top: 0.3rem;
    margin-bottom: 0.3rem;
}
/* Footer */
footer {
    padding: 0.7rem;
}
footer span {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

